<?xml version="1.0" encoding="UTF-8"?>
<xmi:XMI xmi:version="20131001" xmlns:xmi="http://www.omg.org/spec/XMI/20131001" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:ecore="http://www.eclipse.org/emf/2002/Ecore" xmlns:robotics.commobject="http://www.eclipse.org/papyrus/robotics/commobject/1" xmlns:robotics.services="http://www.eclipse.org/papyrus/robotics/services/1" xmlns:uml="http://www.eclipse.org/uml2/5.0.0/UML" xsi:schemaLocation="http://www.eclipse.org/papyrus/robotics/commobject/1 http://www.eclipse.org/papyrus/robotics/1#//commobject http://www.eclipse.org/papyrus/robotics/services/1 http://www.eclipse.org/papyrus/robotics/1#//services">
  <uml:Model xmi:id="ID" name="hrim_actuator_rotaryservo_actions">
    <packageImport xmi:id="_43vkgZteEeqx2OzYltgadA">
      <importedPackage xmi:type="uml:Model" href="pathmap://UML_LIBRARIES/UMLPrimitiveTypes.library.uml#_0"/>
    </packageImport>
    <packageImport xmi:id="_43vkgpteEeqx2OzYltgadA">
      <importedPackage xmi:type="uml:Model" href="pathmap://ROBOTICS_LIBRARIES/robotics.library.uml#_LaOOAJcvEeeV0-Lu2yLOjA"/>
    </packageImport>
    <packagedElement xmi:type="uml:Package" xmi:id="_43vkg5teEeqx2OzYltgadA" name="svcdefs">
      <packagedElement xmi:type="uml:Interface" xmi:id="svcdefs/A_GoalJointTrajectory" name="A_GoalJointTrajectory">
        <templateBinding xmi:id="_-i3UQZteEeqx2OzYltgadA">
          <parameterSubstitution xmi:id="_-i3UQpteEeqx2OzYltgadA" actual="ID_action_GoalJointTrajectoryGoal">
            <formal xmi:type="uml:ClassifierTemplateParameter" href="pathmap://ROBOTICS_LIBRARIES/robotics.library.uml#_g8ug8DBiEeqxv6YJjwaRyw"/>
          </parameterSubstitution>
          <parameterSubstitution xmi:id="_-i3UQ5teEeqx2OzYltgadA" actual="ID_action_GoalJointTrajectoryRes">
            <formal xmi:type="uml:ClassifierTemplateParameter" href="pathmap://ROBOTICS_LIBRARIES/robotics.library.uml#_Nyas8Ek0Eeqojt4A_a-YAw"/>
          </parameterSubstitution>
          <parameterSubstitution xmi:id="_-i3URJteEeqx2OzYltgadA" actual="ID_action_GoalJointTrajectoryFeedback">
            <formal xmi:type="uml:ClassifierTemplateParameter" href="pathmap://ROBOTICS_LIBRARIES/robotics.library.uml#_VrxO0Ek0Eeqojt4A_a-YAw"/>
          </parameterSubstitution>
          <signature xmi:type="uml:RedefinableTemplateSignature" href="pathmap://ROBOTICS_LIBRARIES/robotics.library.uml#_3PvFcDBhEeqxv6YJjwaRyw"/>
        </templateBinding>
      </packagedElement>
    </packagedElement>
    <packagedElement xmi:type="uml:Package" xmi:id="ID_action" name="action">
      <packagedElement xmi:type="uml:DataType" xmi:id="ID_action_GoalJointTrajectoryGoal" name="GoalJointTrajectoryGoal">
        <ownedAttribute xmi:id="_-ibPYZteEeqx2OzYltgadA" name="joint_name">
          <type xmi:type="uml:PrimitiveType" href="pathmap://ROS2_LIBRARY/ros2.primitive.uml#_96bjEK4QEemKGaIZu1xPYw"/>
        </ownedAttribute>
        <ownedAttribute xmi:id="_-ibPYpteEeqx2OzYltgadA" name="trajectory">
          <type xmi:type="uml:DataType" href="pathmap://ROS2_LIB_BASE/services/trajectory_msgs.servicedef.uml#ID_msg_JointTrajectory"/>
        </ownedAttribute>
      </packagedElement>
      <packagedElement xmi:type="uml:DataType" xmi:id="ID_action_GoalJointTrajectoryRes" name="GoalJointTrajectoryRes">
        <ownedAttribute xmi:id="_-ibPY5teEeqx2OzYltgadA" name="GOAL_TOLERANCE_VIOLATED" isStatic="true">
          <type xmi:type="uml:PrimitiveType" href="pathmap://ROS2_LIBRARY/ros2.primitive.uml#_OvJS4K4QEemKGaIZu1xPYw"/>
          <defaultValue xmi:type="uml:LiteralInteger" xmi:id="_-ibPZJteEeqx2OzYltgadA" value="5">
            <type xmi:type="uml:PrimitiveType" href="pathmap://ROS2_LIBRARY/ros2.primitive.uml#_OvJS4K4QEemKGaIZu1xPYw"/>
          </defaultValue>
        </ownedAttribute>
        <ownedAttribute xmi:id="_-ibPZZteEeqx2OzYltgadA" name="PATH_TOLERANCE_VIOLATED" isStatic="true">
          <type xmi:type="uml:PrimitiveType" href="pathmap://ROS2_LIBRARY/ros2.primitive.uml#_OvJS4K4QEemKGaIZu1xPYw"/>
          <defaultValue xmi:type="uml:LiteralInteger" xmi:id="_-ibPZpteEeqx2OzYltgadA" value="4">
            <type xmi:type="uml:PrimitiveType" href="pathmap://ROS2_LIBRARY/ros2.primitive.uml#_OvJS4K4QEemKGaIZu1xPYw"/>
          </defaultValue>
        </ownedAttribute>
        <ownedAttribute xmi:id="_-ibPZ5teEeqx2OzYltgadA" name="OLD_HEADER_TIMESTAMP" isStatic="true">
          <type xmi:type="uml:PrimitiveType" href="pathmap://ROS2_LIBRARY/ros2.primitive.uml#_OvJS4K4QEemKGaIZu1xPYw"/>
          <defaultValue xmi:type="uml:LiteralInteger" xmi:id="_-ibPaJteEeqx2OzYltgadA" value="3">
            <type xmi:type="uml:PrimitiveType" href="pathmap://ROS2_LIBRARY/ros2.primitive.uml#_OvJS4K4QEemKGaIZu1xPYw"/>
          </defaultValue>
        </ownedAttribute>
        <ownedAttribute xmi:id="_-ib2cJteEeqx2OzYltgadA" name="INVALID_JOINTS" isStatic="true">
          <type xmi:type="uml:PrimitiveType" href="pathmap://ROS2_LIBRARY/ros2.primitive.uml#_OvJS4K4QEemKGaIZu1xPYw"/>
          <defaultValue xmi:type="uml:LiteralInteger" xmi:id="_-ib2cZteEeqx2OzYltgadA" value="2">
            <type xmi:type="uml:PrimitiveType" href="pathmap://ROS2_LIBRARY/ros2.primitive.uml#_OvJS4K4QEemKGaIZu1xPYw"/>
          </defaultValue>
        </ownedAttribute>
        <ownedAttribute xmi:id="_-ib2cpteEeqx2OzYltgadA" name="INVALID_GOAL" isStatic="true">
          <type xmi:type="uml:PrimitiveType" href="pathmap://ROS2_LIBRARY/ros2.primitive.uml#_OvJS4K4QEemKGaIZu1xPYw"/>
          <defaultValue xmi:type="uml:LiteralInteger" xmi:id="_-ib2c5teEeqx2OzYltgadA" value="1">
            <type xmi:type="uml:PrimitiveType" href="pathmap://ROS2_LIBRARY/ros2.primitive.uml#_OvJS4K4QEemKGaIZu1xPYw"/>
          </defaultValue>
        </ownedAttribute>
        <ownedAttribute xmi:id="_-ib2dJteEeqx2OzYltgadA" name="SUCCESSFUL" isStatic="true">
          <type xmi:type="uml:PrimitiveType" href="pathmap://ROS2_LIBRARY/ros2.primitive.uml#_OvJS4K4QEemKGaIZu1xPYw"/>
          <defaultValue xmi:type="uml:LiteralInteger" xmi:id="_-ib2dZteEeqx2OzYltgadA">
            <type xmi:type="uml:PrimitiveType" href="pathmap://ROS2_LIBRARY/ros2.primitive.uml#_OvJS4K4QEemKGaIZu1xPYw"/>
          </defaultValue>
        </ownedAttribute>
        <ownedAttribute xmi:id="_-ib2dpteEeqx2OzYltgadA" name="error">
          <type xmi:type="uml:PrimitiveType" href="pathmap://ROS2_LIBRARY/ros2.primitive.uml#_OvJS4K4QEemKGaIZu1xPYw"/>
        </ownedAttribute>
        <ownedAttribute xmi:id="_-ib2d5teEeqx2OzYltgadA" name="error_string">
          <type xmi:type="uml:PrimitiveType" href="pathmap://ROS2_LIBRARY/ros2.primitive.uml#_96bjEK4QEemKGaIZu1xPYw"/>
        </ownedAttribute>
      </packagedElement>
      <packagedElement xmi:type="uml:DataType" xmi:id="ID_action_GoalJointTrajectoryFeedback" name="GoalJointTrajectoryFeedback">
        <ownedAttribute xmi:id="_-ib2eJteEeqx2OzYltgadA" name="header">
          <type xmi:type="uml:DataType" href="pathmap://ROS2_LIB_BASE/services/std_msgs.servicedef.uml#ID_msg_Header"/>
        </ownedAttribute>
        <ownedAttribute xmi:id="_-ib2eZteEeqx2OzYltgadA" name="joint_name">
          <type xmi:type="uml:PrimitiveType" href="pathmap://ROS2_LIBRARY/ros2.primitive.uml#_96bjEK4QEemKGaIZu1xPYw"/>
        </ownedAttribute>
        <ownedAttribute xmi:id="_-ib2epteEeqx2OzYltgadA" name="desired">
          <type xmi:type="uml:DataType" href="pathmap://ROS2_LIB_BASE/services/trajectory_msgs.servicedef.uml#ID_msg_JointTrajectoryPoint"/>
        </ownedAttribute>
        <ownedAttribute xmi:id="_-ib2e5teEeqx2OzYltgadA" name="actual">
          <type xmi:type="uml:DataType" href="pathmap://ROS2_LIB_BASE/services/trajectory_msgs.servicedef.uml#ID_msg_JointTrajectoryPoint"/>
        </ownedAttribute>
        <ownedAttribute xmi:id="_-ib2fJteEeqx2OzYltgadA" name="error">
          <type xmi:type="uml:DataType" href="pathmap://ROS2_LIB_BASE/services/trajectory_msgs.servicedef.uml#ID_msg_JointTrajectoryPoint"/>
        </ownedAttribute>
      </packagedElement>
    </packagedElement>
    <packagedElement xmi:type="uml:Package" xmi:id="ID_msg" name="msg"/>
    <profileApplication xmi:id="_43vkhJteEeqx2OzYltgadA">
      <eAnnotations xmi:id="_43vkhZteEeqx2OzYltgadA" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/bpc/1#/"/>
      </eAnnotations>
      <appliedProfile href="pathmap://ROBOTICS_BPC_PROFILES/bpc.profile.uml#__9qqMJZ1Eeeq1f8hGgKVzA"/>
    </profileApplication>
    <profileApplication xmi:id="_43vkhpteEeqx2OzYltgadA">
      <eAnnotations xmi:id="_43vkh5teEeqx2OzYltgadA" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/1#/"/>
      </eAnnotations>
      <appliedProfile href="pathmap://ROBOTICS_PROFILES/robotics.profile.uml#__9qqMJZ1Eeeq1f8hGgKVzA"/>
    </profileApplication>
    <profileApplication xmi:id="_43vkiJteEeqx2OzYltgadA">
      <eAnnotations xmi:id="_43vkiZteEeqx2OzYltgadA" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/1#//components"/>
      </eAnnotations>
      <appliedProfile href="pathmap://ROBOTICS_PROFILES/robotics.profile.uml#_EZ1TgJZ2Eeeq1f8hGgKVzA"/>
    </profileApplication>
    <profileApplication xmi:id="_43vkipteEeqx2OzYltgadA">
      <eAnnotations xmi:id="_43vki5teEeqx2OzYltgadA" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/1#//commpattern"/>
      </eAnnotations>
      <appliedProfile href="pathmap://ROBOTICS_PROFILES/robotics.profile.uml#_8Z6x8Je6EeeiCOWsEr9OuA"/>
    </profileApplication>
    <profileApplication xmi:id="_43vkjJteEeqx2OzYltgadA">
      <eAnnotations xmi:id="_43vkjZteEeqx2OzYltgadA" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/1#//deployment"/>
      </eAnnotations>
      <appliedProfile href="pathmap://ROBOTICS_PROFILES/robotics.profile.uml#_tu6OsJe9EeeiCOWsEr9OuA"/>
    </profileApplication>
    <profileApplication xmi:id="_43vkjpteEeqx2OzYltgadA">
      <eAnnotations xmi:id="_43vkj5teEeqx2OzYltgadA" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/1#//services"/>
      </eAnnotations>
      <appliedProfile href="pathmap://ROBOTICS_PROFILES/robotics.profile.uml#_SlbOAJe_EeeiCOWsEr9OuA"/>
    </profileApplication>
    <profileApplication xmi:id="_43vkkJteEeqx2OzYltgadA">
      <eAnnotations xmi:id="_43vkkZteEeqx2OzYltgadA" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/1#//commobject"/>
      </eAnnotations>
      <appliedProfile href="pathmap://ROBOTICS_PROFILES/robotics.profile.uml#_bz5AcPCaEeee6ab5J_C5Dg"/>
    </profileApplication>
    <profileApplication xmi:id="_43vkkpteEeqx2OzYltgadA">
      <eAnnotations xmi:id="_43vkk5teEeqx2OzYltgadA" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/1#//functions"/>
      </eAnnotations>
      <appliedProfile href="pathmap://ROBOTICS_PROFILES/robotics.profile.uml#_SV7GwC6LEei0V9-WLHIyvg"/>
    </profileApplication>
    <profileApplication xmi:id="_43vklJteEeqx2OzYltgadA">
      <eAnnotations xmi:id="_43vklZteEeqx2OzYltgadA" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/1#//parameters"/>
      </eAnnotations>
      <appliedProfile href="pathmap://ROBOTICS_PROFILES/robotics.profile.uml#_-pU5oDmpEei--ZsfKWaFtw"/>
    </profileApplication>
    <profileApplication xmi:id="_43vklpteEeqx2OzYltgadA">
      <eAnnotations xmi:id="_43vkl5teEeqx2OzYltgadA" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/1#//generics"/>
      </eAnnotations>
      <appliedProfile href="pathmap://ROBOTICS_PROFILES/robotics.profile.uml#_eFhjMEnvEeien6eLHpkAxA"/>
    </profileApplication>
    <profileApplication xmi:id="_43vkmJteEeqx2OzYltgadA">
      <eAnnotations xmi:id="_43vkmZteEeqx2OzYltgadA" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/MARTE/1#//MARTE_Foundations/NFPs"/>
      </eAnnotations>
      <appliedProfile href="pathmap://Papyrus_PROFILES/MARTE.profile.uml#_U_GAoAPMEdyuUt-4qHuVvQ"/>
    </profileApplication>
    <profileApplication xmi:id="_43vkmpteEeqx2OzYltgadA">
      <eAnnotations xmi:id="_43vkm5teEeqx2OzYltgadA" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/MARTE/1#//MARTE_Annexes/VSL/DataTypes"/>
      </eAnnotations>
      <appliedProfile href="pathmap://Papyrus_PROFILES/MARTE.profile.uml#_9FdqwA-MEdyLh7muGbCqMw"/>
    </profileApplication>
  </uml:Model>
  <robotics.services:ServiceDefinitionModel xmi:id="_43vknJteEeqx2OzYltgadA" base_Package="ID"/>
  <robotics.commobject:CommunicationObject xmi:id="_45nz0JteEeqx2OzYltgadA" base_DataType="ID_action_GoalJointTrajectoryGoal"/>
  <robotics.commobject:CommunicationObject xmi:id="_45pB8JteEeqx2OzYltgadA" base_DataType="ID_action_GoalJointTrajectoryRes"/>
  <robotics.commobject:CommunicationObject xmi:id="_45ppAJteEeqx2OzYltgadA" base_DataType="ID_action_GoalJointTrajectoryFeedback"/>
  <robotics.services:ServiceDefinition xmi:id="_-i4iYJteEeqx2OzYltgadA" base_Interface="svcdefs/A_GoalJointTrajectory"/>
</xmi:XMI>
